Subject: Re: [iproute PATCH 1/2] ipaddress: Simplify vf_info parsing

From: Phil Sutter <[email-masked]>
Date: Thu, 2 Jun 2016 00:07:50 +0200

On Wed, Jun 01, 2016 at 03:00:08PM -0700, Greg Rose wrote:
> On Wed, Jun 1, 2016 at 1:03 PM, Phil Sutter <[email-masked]> wrote:
> > Not sure whether I misinterpret commit 7b8179c780a1a, but it looks
> > overly complicated. Instead rely upon parse_rtattr_nested() to assign
> > the relevant pointer if requested rtattr fields are present.
> 
> I'm not sure if newer iproute2 utilities are supposed to work on older
> kernels but if it is you may want to check this against a 2.6.32
> kernel.

Yes, it is supposed to. Actually I tried, but the old RHEL6 kernel I
used didn't export the VF list at all and then I lost motivation.

I didn't check all earlier versions of 7b8179c780a1a, was there a stage
when it looked like what I'm changing it to?

Cheers, Phil